Package org.kapott.hbci.manager

## Class HBCIInstitute

- java.lang.Object
- - org.kapott.hbci.manager.HBCIInstitute

All Implemented Interfaces:
  `IHandlerData`

    public final class HBCIInstitute
    extends java.lang.Object
    implements IHandlerData

### Constructor Summary

Constructors
`HBCIInstitute​(HBCIKernelImpl kernel, HBCIPassportInternal passport, boolean forceAsParent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fetchBPD()` Aktualisiert die BPD bei Bedarf.
`void` `fetchKeys()`
`MsgGen` `getMsgGen()`
`HBCIPassport` `getPassport()`
`void` `register()`
`void` `sync​(boolean force)` Fuehrt eine Neu-Synchronisierung durch.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HBCIInstitute

    public HBCIInstitute​(HBCIKernelImpl kernel,
                         HBCIPassportInternal passport,
                         boolean forceAsParent)

### Method Detail

#### fetchBPD

    public void fetchBPD()

Aktualisiert die BPD bei Bedarf.

#### fetchKeys

    public void fetchKeys()

#### register

    public void register()

#### sync

    public void sync​(boolean force)

Description copied from interface: `IHandlerData`
Fuehrt eine Neu-Synchronisierung durch.

Specified by:
  `sync` in interface `IHandlerData`
Parameters:
  `force` - true, wenn die Neu-Synchronisierung forciert werden soll.
See Also:
  `IHandlerData.sync(boolean)`

#### getMsgGen

    public MsgGen getMsgGen()

Specified by:
  `getMsgGen` in interface `IHandlerData`

#### getPassport

    public HBCIPassport getPassport()

Specified by:
  `getPassport` in interface `IHandlerData`